This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 819072 - RFE: Wildcard support for id related activities
RFE: Wildcard support for id related activities
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 14:25 EDT by Jim Perrin
Modified: 2015-02-28 18:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 19:48:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 169 None None None Never

  None (edit)
Description Jim Perrin 2012-05-04 14:25:20 EDT
Description of problem:
If you need to sync multiple similar repositories, they have to be done one by one or scripted. Using a regex or wildcard/glob would make this loads easier.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to sync multiple repositories.
2. 
3.
  
Actual results:
sync must be done one at a time or looped. 

Expected results:
The ability to do something like:
pulp-admin repo sync --id * 
or 
pulp-admin repo sync --id rhel6* 

would be absolutely fantastic.


Additional info:
Comment 1 Chris St. Pierre 2012-05-04 14:30:14 EDT
+1.  This, or something like it (perhaps using repo groups) would be wonderful.

Of course, if repo group operations are implemented, it would be swell to be able to put repos in groups by name using wildcards, so this would be great either way.
Comment 2 Ashley Penney 2012-05-04 15:42:47 EDT
+1!  Three troublesome Pulp users in a row, this proves it's an awesome feature request. :)
Comment 3 Brian Bouterse 2015-02-18 19:48:29 EST
Moved to https://pulp.plan.io/issues/169

Note You need to log in before you can comment on or make changes to this bug.